Subject: Signalling Point Code Representation

From: [email-masked]
Date: Thu, 18 Oct 2001 20:10:21 +0800

Hi,everbody:
The  following description existed at M3UA v6 and changed in the later M3UA
draft.  How  to  do  as  the scenario if one AS of an SPMC fails? Thanks in
advanced!

1.4.1 Signalling Point Code Representation
   Where Application Servers are grouped under a Point Code address, an
   SPMC will include more than one AS. If full advantage of SS7 management
   procedures is to be taken (as is advisable in carrier grade networks)
   care must be taken that, if (the connection to) one AS of an SPMC
   fails, all AS of the SPMC fail or become unreachable from the SG. If
   this is not the case, usage of SS7 transfer prohibited procedures by
   the SG becomes problematic as either traffic to the failed AS cannot be
   stopped/diverted or traffic to a still available AS will unnecessarily
   be stopped/diverted. (Depending on the network configuration it may
   even be necessary to assign an individual SS7 point code to each AS.)

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 19 Oct 2001 04:38:06 -0500

ding.haizhong,

This description did not take many factors into account and went
too far in describing one view of the functions of the NIF.  If
an AS fails, there are other procedures that an implementation
can use to indicate to the SS7 network the extent of the failure
without shutting down the entire SPMC.  An example of this would
be where one AS of the SPMC represents SCCP and another represents
ISUP.  When the ISUP AS fails, there is no reason to take the
entire signalling point out of service as was advocated in this
passage.  The NIF can easily return UPU for ISUP while still
processing SCCP messages to the remaining AS.  This passage did
not properly address multiple SGs either.  What action is taken
when one AS become unavailable within an SPMC is dependent on
the scope of the AS, whether user-part procedures can be effected
by the remaining AS, and whether user availability and flow
control procedures apply within the UA.  Peforming this function
correctly in an SS7 context is part of the (unspecified) NIF and
was removed from the draft.

--brian

[email-masked] wrote:                     (Thu, 18 Oct 2001 20:10:21)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

From: [email-masked]
Date: Mon, 22 Oct 2001 08:12:28 +0800

Thank Brian!
Assume the following scenario:

                         __AS1__
                                 |      |
                         RC1_____|      |MGC1
                        /        |______|
             SG       /
           _______  /
          |      |/
 SS7  ____|      |
Network   |______|\
                 \            __AS2__
                      \          |      |
                        \RC2 ____|      |MGC2
                                 |______|

The SG and AS1 and AS2 are grouped under a Point Code address.Both AS1 and
AS2 represent ISUP.the CIC range of AS1 is differ from the AS2's. According
to IETF draft this configuration is allowed.When the AS1 fails,as I
know,the SG has no way to indicate SS7 network what had happened,i.e.
traffic from SS7 network to the failed AS cannot be stopped.How to do?
Thanks in advanced.

                    "Brian F. G.                                           
                    Bidulock"            �ռ��ˣ�     "sigtran"            
                    <bidulock@ope        <[email-masked] 
                    nss7.org>            >                                 
                                         ���ͣ�                            
                    01-10-19             [email-masked]  
                    05:38 PM             ���⣺  Re: Signalling Point Code 
                    ��� ��            Representation                    
                    sigtran                                                

ding.haizhong,

--brian

[email-masked] wrote:                     (Thu, 18 Oct 2001
20:10:21)

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

��آ�y˫���+.n�+�����"��ڝ���(-���j�!����+-�������{.n�+���zwZnV��隊[h��{�"��ڟ�:ӞF�\���碻^�w���(

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 21 Oct 2001 21:06:58 -0500

ding.haizhong,

[email-masked] wrote:                     (Mon, 22 Oct 2001 08:12:28)
> The SG and AS1 and AS2 are grouped under a Point Code address.Both AS1
> and AS2 represent ISUP.the CIC range of AS1 is differ from the AS2's.
> According to IETF draft this configuration is allowed.When the AS1
> fails,as I know,the SG has no way to indicate SS7 network what had
> happened,i.e.  traffic from SS7 network to the failed AS cannot be
> stopped.How to do?
>
> Thanks in advanced.

Yes, there are several ways to indicate to the SS7 network what has
happened within the current draft.  One example is as follows:

Provide a "default" ASP at the SG which provides a default ISUP state
machine.  Then when AS1 fails, messages for the affected CIC range are
routed to the "default" ASP.  This "default" ASP could be resident at
the SG or on a separate MGC.  This "default" ASP is configured such that
it releases or resets all call with a cause of "transient network
failure".  That way, calls to MGC2 can continue.

This way of doing things is not required by the draft, but any number of
ways of handling similar conditions are permitted by the current draft.
As you can see, the old text went way too far to say that the SPMC
should be prohibited: this example can be handled within the context of
ISUP.

--brian

[snip]
> > The  following description existed at M3UA v6 and changed in the
> > later M3UA draft.  How  to  do  as  the scenario if one AS of an
> > SPMC fails? Thanks in advanced!
> >
> >    Where Application Servers are grouped under a Point Code address,
> >    an SPMC will include more than one AS. If full advantage of SS7
> >    management procedures is to be taken (as is advisable in carrier
> >    grade networks) care must be taken that, if (the connection to)
> >    one AS of an SPMC fails, all AS of the SPMC fail or become
> >    unreachable from the SG. If this is not the case, usage of SS7
> >    transfer prohibited procedures by the SG becomes problematic as
> >    either traffic to the failed AS cannot be stopped/diverted or
> >    traffic to a still available AS will unnecessarily be
> >    stopped/diverted. (Depending on the network configuration it may

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---